/*
    This file is part of BlueJoy.

    BlueJoy is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    BlueJoy is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with BlueJoy.  If not, see <http://www.gnu.org/licenses/>.
*/

package org.bluejoy;

import org.bluejoy.controller.Controller;
import org.bluejoy.model.Model;
import org.bluejoy.view.View;


public class BlueJoyApp 
{
	private Model model;
	private Controller controller;
	private View view;
	private CustomLogger logger;
	
	//constructor
	public BlueJoyApp()
	{
		//enable logger
		logger = CustomLogger.getInstance();
		logger.initLogger();
		logger.log(CustomLogger.Level.DEBUG, "BlueJoy application starting up.");
        
        //create objects
        model = new Model();
        controller = new Controller();
        view = new View("BlueJoy");
        
        //initialize objects; set call-backs
        model.init();
        controller.init(model, view);
        view.init(model, controller);
        
        
        //check for BT device on host
        model.checkBtDeviceOnHost();
	}
	
	//entry point for BlueJoy
	public static void main(String[] args)
	{
		new BlueJoyApp();
	}
}
