/*
    This file is part of BlueJoy.

    BlueJoy is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    BlueJoy is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with BlueJoy.  If not, see <http://www.gnu.org/licenses/>.
*/

package org.bluejoy.model;

import java.io.File;
import javax.swing.filechooser.FileFilter;


public class CustomFileFilter extends FileFilter
{
	public boolean accept(File file) 
	{
		if (file.isDirectory()) 
			return true;
	  
		if ( (getExtension(file).equals("gif")) || (getExtension(file).equals("jpg")) ||
				(getExtension(file).equals("png")) || (getExtension(file).equals("mp3")) ) 
			return true; 

		return false;
	}
	
	
	public String getDescription() 
	  {
	      return "Multimedia File (*.gif; *.jpg; *.png; *.mp3)";
	  }
	

	//get lowercase file extension
	private String getExtension(File file) 
	{
		String string = file.getName();
		int i = string.lastIndexOf('.');
		if ( (i > 0) && (i < string.length() - 1) ) 
			return string.substring(i+1).toLowerCase();
		
		return "";
	}
}
