/*
    This file is part of BlueJoy.

    BlueJoy is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    BlueJoy is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with BlueJoy.  If not, see <http://www.gnu.org/licenses/>.
*/

package org.bluejoy.model;

public class RemoteFile
{
	private String name;
	private String path;
	private boolean directory;
	private String dateCreated;
	private String permissions;
	private String memoryType;
	private long size;

	//constructor
	public RemoteFile(String name, String path, boolean directory)
	{
		this.name = name;
		this.path = path;
		this.directory = directory;
		size = 0;
	}
	
	//toString
	public String toString()
	{
		return name;
	}
	
	//getters
	public String getName() {
		return name;
	}
	public String getPath() {
		return path;
	}
	public boolean isDirectory() {
		return directory;
	}
	public String getDateCreated() {
		return dateCreated;
	}
	public String getPermissions() {
		return permissions;
	}
	public String getMemoryType() {
		return memoryType;
	}
	public long getSize() {
		return size;
	}
	
	//setters
	public void setName(String name) {
		this.name = name;
	}
	public void setPath(String path) {
		this.path= path;
	}
	public void setDirectory(boolean directory) {
		this.directory = directory;
	}
	public void setDateCreated(String dateCreated) {
		this.dateCreated = dateCreated;
	}
	public void setPermissions(String permissions) {
		this.permissions = permissions;
	}
	public void setMemoryType(String memoryType) {
		this.memoryType = memoryType;
	}
	public void setSize(long size) {
		this.size = size;
	}
}
