/*
    This file is part of BlueJoy.

    BlueJoy is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    BlueJoy is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with BlueJoy.  If not, see <http://www.gnu.org/licenses/>.
*/

package org.bluejoy.model;

import javax.swing.tree.DefaultMutableTreeNode;

public class RemoteTreeNode extends DefaultMutableTreeNode
{
	private static final long serialVersionUID = -1858019154378046703L;

	public RemoteTreeNode()
	{
		super();
	}
	
	public RemoteTreeNode(Object userObject)
	{
		super(userObject);
	}
	
	//override "isLeaf" method and turn it into an "isFile" method
	public boolean isLeaf()
	{
		//determine if a tree node is a file or folder based on what the remote BT device says...
		if (userObject != null)
		{
			if (((RemoteFile)userObject).isDirectory())
				return false;
			else
				return true;
		}
		else
			return true;	//this output doesn't really matter
	}
}
